[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#326112: marked as done (rpncalc: Double precision error.)



Your message dated Sun, 20 Feb 2011 12:55:33 +0000
with message-id <E1Pr8p3-0003pw-S6@franck.debian.org>
and subject line Bug#614188: Removed package(s) from unstable
has caused the Debian Bug report #326112,
regarding rpncalc: Double precision error.
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact owner@bugs.debian.org
immediately.)


-- 
326112: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=326112
Debian Bug Tracking System
Contact owner@bugs.debian.org with problems
--- Begin Message ---
Package: rpncalc
Version: 1.34
Severity: normal

When I compute '23 !' (factorial), the result returned was incorrect.
Here is a transcript:

mickey@bunny:~$ rpncalc 
rpncalc version 1.34. Copyright © 1993-2004 David Frey et. al.
Il s'agit d'un logiciel libre SANS AUCUNE GARANTIE.
Pour de plus amples informations, tapez 'warranty'.
Tapez 'quit' pour quitter ou '?' pour obtenir de l'aide.
22 !
 1: 1124000727777607680000
23 !
 2: 1124000727777607680000
 1: 25852016738884978212864

The result must be '25852016738884976640000'.

I think it's a problem with the C double precision.

So, it could be a good idea, if the fix is not easy to do,
to report this error to the user by an Overflow message for example.

Best regards.

-- System Information:
Debian Release: 3.1
Architecture: i386 (i686)
Kernel: Linux 2.4.27-k7-bunny
Locale: LANG=fr_FR.ISO-8859-1, LC_CTYPE=fr_FR.ISO-8859-1 (charmap=ISO-8859-1)

Versions of packages rpncalc depends on:
ii  libc6                       2.3.2.ds1-22 GNU C Library: Shared libraries an
ii  libncurses5                 5.4-4        Shared libraries for terminal hand
ii  libreadline4                4.3-11       GNU readline and history libraries

-- no debconf information

-- 
A+, MiKaël.
http://klnavarro.free.fr


--- End Message ---
--- Begin Message ---
Version: 1.36.8+rm

Dear submitter,

as the package rpncalc has just been removed from the Debian archive
unstable we hereby close the associated bug reports.  We are sorry
that we couldn't deal with your issue properly.

For details on the removal, please see http://bugs.debian.org/614188

The version of this package that was in Debian prior to this removal
can still be found using http://snapshot.debian.org/.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Alexander Reichle-Schmehl (the ftpmaster behind the curtain)


--- End Message ---

Reply to: